### Function

# Gtk Settingsget_default

#### Declaration [src]

    GtkSettings*
    gtk_settings_get_default (
      void
    )

#### Description [src]

Gets the `GtkSettings` object for the default display, creating it if necessary.

See `gtk_settings_get_for_display()`.

#### Return value

Type: `GtkSettings`

A `GtkSettings` object. If there is no default display, then returns `NULL`.

The data is owned by the called function.
The return value can be `NULL`.